<template>

    <form @submit.prevent="handleSubmit()">

    <div class="bloc"> 
        <h1>Creer un article</h1>
        <label > Nom de titre de article</label>
        <input v-model="article.titre"  type="text" name="titre">

        <label >photo</label>
        <input v-model="article.photo" type="text" name="photo">

        <label >text</label>
        <input v-model="article.text"  type="text" name="text">

        <label >categorie</label>
        <input v-model="article.id_categorie"  type="text" name="text">
        
        <button class="btn waves-effect waves-light" type="submit" name="action">
            <i class="material-icons right">Submit</i>
        </button> 
        
    </div>

    </form>



</template>

<script setup lang="ts">
import type { Article } from '@/entities';
import { postArticles } from '@/service/article-service';
import { ref } from 'vue';
import { useRouter } from 'vue-router';

const router = useRouter();

const emit = defineEmits<{
    submit: [article:Article]
}>();

const{initialArticle} = defineProps<{
    initialArticle?:Article
}>();

const article = ref<Article>({
  titre: '',
  photo: 'https://img.freepik.com/photos-gratuite/sushi-au-raifort-au-gingembre-caviar-rouge-sauce-soja_140725-2217.jpg?w=740&t=st=1712741846~exp=1712742446~hmac=94ef54d8ee451f8c7cc53664d6dbe9f82eab7716933705a730edb4311df140d8',
  text: '',
  id_categorie:1,
  ...initialArticle
});

async function handleSubmit() {
    emit('submit',article.value)
    // const added = await postArticles(article.value);
    // router.push("/article/" + added.id);
    // console.log("submit");
}

</script>